package com.zswl.cloud.springBatch.client.service;

import com.github.microservice.auth.client.content.ResultContent;
import com.zswl.cloud.springBatch.client.model.xiaoju.QueryApiStorePriceRequest;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.Map;

@FeignClient(name = "springbatchservice/manager/xiaoju")
public interface XiaoJuService {



    @ApiOperation("加油站详情")
    @RequestMapping(value = "storeInfo", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
    ResultContent<Map<String,String>> storeInfo(@RequestBody QueryApiStorePriceRequest queryApiStorePriceRequest);





}
